#!/bin/sh

CAMNAME="Gcam EMU"


remove_tmp () {
  rm -rf /tmp/cainfo.* /tmp/camd.* /tmp/sc.* /tmp/*.info* /tmp/*.tmp*
        [ -e /tmp/.emu.info ] && rm -rf /tmp/.emu.info
        [ -e /tmp/gcam.mem ] && rm -rf /tmp/gcam.mem
        [ -e /tmp/gcam.mem ] && rm -rf /tmp/gcam.mem
}

case "$1" in
  start)
  echo "[SCRIPT] $1: $CAMNAME"
  remove_tmp
  touch /tmp/.emu.info
  echo gcam > /tmp/.emu.info
  /usr/bin/gcam &
  ;;
  stop)
  echo "[SCRIPT] $1: $CAMNAME"
  kill `pidof gcam`
  remove_tmp
  ;;
  restart)
  $0 stop
  sleep 2
  $0 start
  exit
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
